package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("health_medical_report_template")
@ApiModel("体检报告模板")
public class HealthMedicalReportTemplate implements Serializable {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("体检模板id")
   private Long medicalTemplateId;
   @ApiModelProperty("体检模板名称")
   private String medicalTemplateName;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("创建人")
   private String createBy;
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @ApiModelProperty("更新人")
   private String updateBy;
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;

   public Long getId() {
      return this.id;
   }

   public Long getMedicalTemplateId() {
      return this.medicalTemplateId;
   }

   public String getMedicalTemplateName() {
      return this.medicalTemplateName;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getCreateBy() {
      return this.createBy;
   }

   public LocalDateTime getCreateTime() {
      return this.createTime;
   }

   public String getUpdateBy() {
      return this.updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return this.updateTime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMedicalTemplateId(final Long medicalTemplateId) {
      this.medicalTemplateId = medicalTemplateId;
   }

   public void setMedicalTemplateName(final String medicalTemplateName) {
      this.medicalTemplateName = medicalTemplateName;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setCreateBy(final String createBy) {
      this.createBy = createBy;
   }

   public void setCreateTime(final LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public void setUpdateBy(final String updateBy) {
      this.updateBy = updateBy;
   }

   public void setUpdateTime(final LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }

}
